/******************************************************************************
 * JBoss, a division of Red Hat                                               *
 * Copyright 2006, Red Hat Middleware, LLC, and individual                    *
 * contributors as indicated by the @authors tag. See the                     *
 * copyright.txt in the distribution for a full listing of                    *
 * individual contributors.                                                   *
 *                                                                            *
 * This is free software; you can redistribute it and/or modify it            *
 * under the terms of the GNU Lesser General Public License as                *
 * published by the Free Software Foundation; either version 2.1 of           *
 * the License, or (at your option) any later version.                        *
 *                                                                            *
 * This software is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU           *
 * Lesser General Public License for more details.                            *
 *                                                                            *
 * You should have received a copy of the GNU Lesser General Public           *
 * License along with this software; if not, write to the Free                *
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA         *
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.                   *
 ******************************************************************************/
package org.jboss.portletbridge;

import org.ajax4jsf.tests.AbstractAjax4JsfTestCase;

/**
 * @author asmirnov
 * 
 */
public abstract class AbstractAjax4jsfPortletTestCase extends
		AbstractAjax4JsfTestCase {

	protected MockActionRequest actionRequest;
	protected MockActionResponse actionResponse;
	protected MockPortletContext portletContext;
	protected MockRenderRequest renderRequest;
	protected MockRenderResponse renderResponse;
	protected MockPortletConfig portletConfig;
	protected MockResourceRequest resourceRequest;
	protected MockResourceResponse resourceResponse;
	protected MockEventRequest eventRequest;
	protected MockEventResponse eventResponse;

	public AbstractAjax4jsfPortletTestCase(String name) {
		super(name);
	}

	public void setUp() throws Exception {
		super.setUp();
		portletContext = new MockPortletContext(servletContext);
		portletConfig = new MockPortletConfig(portletContext);
	}

	public void tearDown() throws Exception {
		super.tearDown();
		actionRequest = null;
		actionResponse = null;
		renderRequest = null;
		renderResponse = null;
		portletContext = null;
		portletConfig = null;
		resourceRequest = null;
		resourceResponse = null;
		eventRequest = null;
		eventResponse = null;
	}

	/**
     * 
     */
	protected void setupActionRequest() {
		actionRequest = new MockActionRequest(portletContext);
		actionResponse = new MockActionResponse();
		externalContext.setRequest(actionRequest);
		externalContext.setResponse(actionResponse);
	}

	/**
     * 
     */
	protected void setupRenderRequest() {
		renderRequest = new MockRenderRequest(portletContext);
		renderResponse = new MockRenderResponse();
		externalContext.setRequest(renderRequest);
		externalContext.setResponse(renderResponse);
	}

	/**
     * 
     */
	protected void setupResourceRequest() {
		resourceRequest = new MockResourceRequest(portletContext);
		resourceResponse = new MockResourceResponse();
		externalContext.setRequest(resourceRequest);
		externalContext.setResponse(resourceResponse);
	}

	/**
     * 
     */
	protected void setupEventRequest() {
		eventRequest = new MockEventRequest(portletContext);
		eventResponse = new MockEventResponse();
		externalContext.setRequest(eventRequest);
		externalContext.setResponse(eventResponse);
	}

}
