/**
 * 
 */
package org.jboss.portletbridge.context;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.HashMap;
import java.util.Map;

import javax.portlet.PortletContext;
import javax.portlet.ResourceRequest;
import javax.portlet.ResourceResponse;
import javax.portlet.faces.Bridge;
import javax.servlet.http.HttpServletRequest;


/**
 * @author asmirnov
 *
 */
public class ResourceRequestExternalContextImpl extends
		MimeExternalContextImpl {

	@Override
	public void setRequestCharacterEncoding(String encoding)
	        throws UnsupportedEncodingException {
		try {
			getRequest().setCharacterEncoding(encoding);
		} catch (IllegalStateException e) {
			// TODO: handle exception
		}
	}

	@Override
	public String getRequestCharacterEncoding() {
		return getRequest().getCharacterEncoding();
	}
	
	public String getRequestContentType() {
		return getRequest().getContentType();
	};

	/**
	 * @param context
	 * @param request
	 * @param response
	 */
	public ResourceRequestExternalContextImpl(PortletContext context,
			ResourceRequest request, ResourceResponse response) {
		super(context, request, response);
		// TODO Auto-generated constructor stub
	}

	public ResourceRequest getRequest() {
		return (ResourceRequest) super.getRequest();
	}

	public ResourceResponse getResponse() {
		return (ResourceResponse) super.getResponse();
	}
	public Map<String, String> getRequestHeaderMap() {
		if (this.requestHeaderMap == null) {
			requestHeaderMap = new RequestHeaderMap(getRequest(), true);
		}
		return this.requestHeaderMap;
	}

	public Map<String, String[]> getRequestHeaderValuesMap() {
		//
		if (this.requestHeaderValues == null) {
			this.requestHeaderValues = new RequestHeaderValuesMap(getRequest(),true);
		}
		return this.requestHeaderValues;
	}
	
	private HttpServletRequest getMultipartRequest() {
		return (HttpServletRequest) getRequest().getAttribute("org.ajax4jsf.request.MultipartRequest");
	}
	
	@Override
	public Map<String, String[]> getNativeRequestParameterValuesMap() {
		HttpServletRequest multipartRequest = getMultipartRequest();
		if(multipartRequest!= null) {
			return createParameterMap(multipartRequest);
		} else {
			return super.getNativeRequestParameterValuesMap();
		}
	}
	
	
	/**
	 * ceate a parameter map out of the multi part request. 
	 * Fix related to PBR-170
	 * @param multipartRequest the multipart request
	 * @return value map of the parameters
	 */
	private Map<String, String[]> createParameterMap(HttpServletRequest multipartRequest) {
	    Map<String, String[]> result = new HashMap<String, String[]>();
	    Map<String, Object> multipartMap = multipartRequest.getParameterMap();
	    for (String name : multipartMap.keySet()) {
	        Object value = multipartMap.get(name);
	        // This can happen because of an error in RF MultipartRequest 
	        // Line 666: params.put(name, vp.getValue()); as getValue can return a String
	        if(value instanceof String) { 
	            result.put(name, new String[] {(String) value});
	        } else if (value instanceof String[]) {
	            result.put(name, (String[])value);
	        }
	    }
	    return result;	    
	}

	@Override
	protected void externalRedirect(String url) throws IOException {
		//The redirect is ignored.  Take no action.
		
	}

	@Override
	protected void internalRedirectToNonFacesView(String url,
			Map<String, String[]> requestParameters) throws IOException {
		// The redirect is ignored.  Take no action.
		
	}

	
}
