package org.jboss.portletbridge.richfaces.renderkit.html;

import javax.faces.context.FacesContext;

import org.ajax4jsf.resource.InternetResource;
import org.gatein.common.net.URLTools;
import org.richfaces.renderkit.html.EditorRenderer;

/**
 * @author kenfinni
 *
 */
public class PortletEditorRenderer extends EditorRenderer {
	
	/** Specific script resource name which will be used to get server suffix */
	private final static String SPECIFIC_SCRIPT_RESOURCE_NAME = "org/richfaces/renderkit/html/1$1.js";
	/** Specific xcss resource name which will be used to get server suffix */
	private final static String SPECIFIC_XCSS_RESOURCE_NAME = "org/richfaces/renderkit/html/1$1.xcss";

	@Override
	protected String getSriptMappingSuffix(FacesContext context) {
		return getResourceSuffix(context, SPECIFIC_SCRIPT_RESOURCE_NAME);
	}

	@Override
	protected String getCssMappingSuffix(FacesContext context) {
		return getResourceSuffix(context, SPECIFIC_XCSS_RESOURCE_NAME);
	}

	private String getResourceSuffix(FacesContext context, String resourceName){
		InternetResource resource = getResource(resourceName);
		String resourceUri = resource.getUri(context, null);
		String resName = resourceName;
		String qMark = "?";
		if (resourceUri.startsWith("wsrp_rewrite")) {
			resName = URLTools.encodeXWWWFormURL(resName);
			qMark = URLTools.encodeXWWWFormURL(qMark);
		}
		int begin = resourceUri.indexOf(resName) + resName.length();
		int end = resourceUri.indexOf(qMark, begin);
		String suffix = end != -1 ? resourceUri.substring(begin, end) : resourceUri.substring(begin);
		if (null != suffix && suffix.length() == 0) {
			suffix = null;
		}
		return suffix;
	}
}
