import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.logging.Logger;

import javax.portlet.ResourceResponse;
import javax.portlet.filter.ResourceResponseWrapper;

/******************************************************************************
 * $Id$
 * JBoss, a division of Red Hat                                               *
 * Copyright 2006, Red Hat Middleware, LLC, and individual                    *
 * contributors as indicated by the @authors tag. See the                     *
 * copyright.txt in the distribution for a full listing of                    *
 * individual contributors.                                                   *
 *                                                                            *
 * This is free software; you can redistribute it and/or modify it            *
 * under the terms of the GNU Lesser General Public License as                *
 * published by the Free Software Foundation; either version 2.1 of           *
 * the License, or (at your option) any later version.                        *
 *                                                                            *
 * This software is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU           *
 * Lesser General Public License for more details.                            *
 *                                                                            *
 * You should have received a copy of the GNU Lesser General Public           *
 * License along with this software; if not, write to the Free                *
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA         *
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.                   *
 ******************************************************************************/

/**
 * @author asmirnov
 *
 */
public class IncludeResourceResponse extends ResourceResponseWrapper {

	//============================================================
	// public constants
	
	//============================================================
	// private constants
	private static Logger _log = Logger.getLogger("org.jboss.portletbridge.ResponseWrapper");
	//============================================================
	// static variables

	//============================================================
	// instance variables

	//============================================================
	// constructors
	/**
	 * @param response
	 */
	public IncludeResourceResponse(ResourceResponse response) {
		super(response);
		_log.info("wrapper created");
	}
	//============================================================
	// public methods

	//============================================================
	// non-public methods
	@Override
	public void setContentType(String type) {
		_log.info("Set content type "+type);
		super.setContentType(type);
	}
	
	@Override
	public void setProperty(String key, String value) {
		_log.info("Set property ["+key+"] to value "+value);
		super.setProperty(key, value);
	}
	
	@Override
	public PrintWriter getWriter() throws IOException {
		_log.info("getWriter");
		return super.getWriter();
	}
	
	@Override
	public OutputStream getPortletOutputStream() throws IOException {
		_log.info("getStream");
		return super.getPortletOutputStream();
	}
	
	@Override
	public void flushBuffer() throws IOException {
		_log.info("flush buffer");
		super.flushBuffer();
	}
	//============================================================
	// inner classes

}
