
var map;
var geocoder = null;
var addressMarker;
var point;
var hotelSelected = false;

var mapLog = document.getElementById('map-log');

var numGeocoded = 0;

function geocodeAll()
{
    if (numGeocoded < addresses.length)
    {
        geocoder.getLocations(addresses[numGeocoded], addressResolved);
    }
    if(hotelSelected){
    map.setCenter(point, 9);
    }
}

function addressResolved(response)
{
    

    var baseIcon = new GIcon(G_DEFAULT_ICON);
    baseIcon.image = "http://maps.google.com/mapfiles/marker.png";
    baseIcon.shadow = "http://maps.google.com/mapfiles/shadow50.png";
    baseIcon.iconSize = new GSize(32, 32);
    baseIcon.shadowSize = new GSize(37, 34);
    baseIcon.iconAnchor = new GPoint(9, 34);
    baseIcon.infoWindowAnchor = new GPoint(9, 2);
    baseIcon.infoShadowAnchor = new GPoint(18, 25);

    var delay = 0;
    document.getElementById('map-log').innerHTML += 'response.Status.code=' + response.Status.code + '<hr/>';
    if (response.Status.code == 620)
    {
        // Too fast, try again, with a small pause
        delay = 500;
    }
    else
    {
        if (response.Status.code == 200)
        {
            // Success; do something with the address.
            place = response.Placemark[0];
            point = new GLatLng(place.Point.coordinates[1],
            place.Point.coordinates[0]);
            marker = new GMarker(point);
            map.addOverlay(createMarker(point, 1, numGeocoded));
            document.getElementById('map-log').innerHTML += 'place.Point.coordinates[0]' + place.Point.coordinates[0] + '<hr/>';
        }
        // Move onto the next address; this skips bad addresses, too.
        numGeocoded += 1;
    }
    window.setTimeout(geocodeAll, delay);

    function createMarker(point, index, numGeocoded)
    {


        markerOptions = {
            icon:baseIcon,
            title:addresses[numGeocoded]
        };
        var marker = new GMarker(point, markerOptions);

        GEvent.addListener(marker, "click", function()
        {
            var i = 0;
            i = numGeocoded;
            marker.openInfoWindowHtml("<span class=\"bold-black\">Address: </span>" + addresses[numGeocoded] + "");
        });
        return marker;
    }


}

function load()
{
    if (GBrowserIsCompatible())
    {
        //map = new GMap2(document.getElementById("map"));
        //map.addControl(new GSmallMapControl());
        //map.addControl(new GMapTypeControl());

        map.setCenter(new GLatLng(39.453161, -97.77832), 3);
        //map.setMapType(G_HYBRID_MAP);
        geocoder = new GClientGeocoder();
        window.setTimeout(geocodeAll, 10);
        
    }
}

function loadSelected()
{
    if (GBrowserIsCompatible())
    {
        hotelSelected = true;
        geocoder = new GClientGeocoder();
        window.setTimeout(geocodeAll, 10);


    }
}