package org.jboss.portletbridge.example.seam;

import static org.jboss.seam.annotations.Install.FRAMEWORK;


import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Install;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;
import org.jboss.seam.annotations.intercept.BypassInterceptors;
import org.jboss.seam.transaction.NoTransaction;

/**
 * When no kind of transaction management exists.
 * 
 * @author Mike Youngstrom
 * @author Gavin King
 * 
 */
@Name("org.jboss.seam.transaction.transaction")
@Scope(ScopeType.EVENT)
@Install(value = false, precedence = FRAMEWORK)
@BypassInterceptors
public class DummyTransaction extends NoTransaction
{
   
   public void begin() 
   {
//      throw new UnsupportedOperationException("no transaction");
   }

   public void commit()  throws SecurityException, IllegalStateException
   {
//      throw new UnsupportedOperationException("no transaction");
   }


   public void rollback() throws IllegalStateException, SecurityException
   {
//      throw new UnsupportedOperationException("no transaction");
   }

   public void setRollbackOnly() throws IllegalStateException
   {
//      throw new UnsupportedOperationException("no transaction");
   }

   public void setTransactionTimeout(int timeout)
   {
//      throw new UnsupportedOperationException("no transaction");
   }
   
//   @Override
//   public void registerSynchronization(Synchronization sync)
//   {
//      throw new UnsupportedOperationException("no transaction");
//   }
   

}
